Bug 1015263 - Review request: lz4 Extremely fast compression algorithm
Review request: lz4 Extremely fast compression algorithm
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
https://code.google.com/p/lz4/
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 14:38 EDT by pjp
Modified: 2014-07-31 07:19 EDT (History)
6 users (show)

See Also:
Fixed In Version: lz4-r107-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-31 07:19:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kumarpraveen.nitdgp: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description pjp 2013-10-03 14:38:03 EDT
Hi,

lz4 is a new extremely fast compression algorithm developed by Yann Collet -> https://code.google.com/p/lz4/

SPEC: http://pjp.fedorapeople.org/lz4.spec
SORC: http://pjp.fedorapeople.org/lz4-r106.tar.gz
SRPM: http://pjp.fedorapeople.org/lz4-r106-1.fc19.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6022278


Could someone review it please?
Comment 1 Praveen Kumar 2013-10-03 23:43:24 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "GPL (v2 or later)". Detailed output of licensecheck in
     /home/prkumar/1015263-lz4/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

[!]: Provided buildroot will automatically be cleaned before commands in %install are called (remove 'rm -rf $RPM_BUILD_ROOT' from install section)
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#BuildRoot_tag


Rpmlint
-------
Checking: lz4-r106-1.fc19.x86_64.rpm
          lz4-r106-1.fc19.src.rpm
lz4.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
lz4.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
lz4.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
lz4.src: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint lz4
lz4.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
lz4.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
lz4 (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
lz4:
    lz4
    lz4(x86-64)



Source checksums
----------------
https://dl.dropboxusercontent.com/u/59565338/LZ4/lz4-r106.tar.gz :
  CHECKSUM(SHA256) this package     : 8f4061e39b84eda7c14c6ddcec2fa69c073ddf6ca32e5f848b03b94cbecad4be
  CHECKSUM(SHA256) upstream package : 8f4061e39b84eda7c14c6ddcec2fa69c073ddf6ca32e5f848b03b94cbecad4be
Comment 2 pjp 2013-10-05 11:44:54 EDT
  Hello Praveen,

Thanks so much for an elaborate review. Please see:

SPEC: http://pjp.fedorapeople.org/lz4.spec
SORC: http://pjp.fedorapeople.org/lz4-r106.tar.gz
SRPM: http://pjp.fedorapeople.org/lz4-r106-2.fc19.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6027819


Thank you. :)
Comment 3 Praveen Kumar 2013-10-05 18:38:39 EDT
Looks good.

==================APPROVED=================
Comment 4 pjp 2013-10-06 05:51:08 EDT
New Package SCM Request
=======================
Package Name: lz4
Short Description: Extremely fast compression algorithm
Owners: pjp kumarpraveen.nitdgp
Branches: f18 f19 f20 el5 el6
InitialCC:
Comment 5 Christopher Meng 2013-10-07 05:11:38 EDT
Notes:

%make_install PREFIX=$RPM_BUILD_ROOT/usr/ INSTALL="install -p"

Should use:

%make_install PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALL="install -p"

And you should tell upstream about the bad PREFIX option.
Comment 6 Gwyn Ciesla 2013-10-07 08:19:23 EDT
Git done (by process-git-requests).

kumarpraveen.nitdgp not a valid FAS account, add later in pkgdb.
Comment 7 pjp 2013-10-07 13:55:47 EDT
(In reply to Christopher Meng from comment #5)
> %make_install PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALL="install -p"

  Done.
 
> And you should tell upstream about the bad PREFIX option.

  bad..?
Comment 8 Fedora Update System 2013-10-07 15:34:34 EDT
lz4-r106-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lz4-r106-3.fc19
Comment 9 Fedora Update System 2013-10-07 15:34:46 EDT
lz4-r106-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lz4-r106-3.fc18
Comment 10 Fedora Update System 2013-10-07 15:34:56 EDT
lz4-r106-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lz4-r106-3.fc20
Comment 11 Fedora Update System 2013-10-07 15:35:11 EDT
lz4-r106-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lz4-r106-3.el6
Comment 12 Fedora Update System 2013-10-08 04:33:41 EDT
lz4-r106-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lz4-r106-4.el5
Comment 13 Fedora Update System 2013-10-08 16:38:44 EDT
lz4-r106-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 14 Fedora Update System 2013-10-22 23:29:43 EDT
lz4-r106-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-10-22 23:35:01 EDT
lz4-r106-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-10-24 01:36:32 EDT
lz4-r107-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lz4-r107-1.fc19
Comment 17 Fedora Update System 2013-10-24 01:36:43 EDT
lz4-r107-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lz4-r107-1.el6
Comment 18 Fedora Update System 2013-10-24 01:36:53 EDT
lz4-r107-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lz4-r107-1.fc18
Comment 19 Fedora Update System 2013-10-24 01:37:04 EDT
lz4-r107-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lz4-r107-1.el5
Comment 20 Fedora Update System 2013-10-24 01:37:14 EDT
lz4-r107-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lz4-r107-1.fc20
Comment 21 Fedora Update System 2013-10-24 13:47:28 EDT
Package lz4-r107-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lz4-r107-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19858/lz4-r107-1.fc20
then log in and leave karma (feedback).
Comment 22 Fedora Update System 2013-11-10 01:29:54 EST
lz4-r106-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 23 Fedora Update System 2013-11-10 03:12:07 EST
lz4-r107-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-11-10 15:17:31 EST
lz4-r107-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2013-11-10 15:18:27 EST
lz4-r107-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2013-11-10 21:26:00 EST
lz4-r107-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2013-11-10 21:29:44 EST
lz4-r107-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 pjp 2014-06-28 02:47:02 EDT
Package Change Request
======================
Package Name: lz4
New Branches: epel7
Owners: pjp kumarpraveen.nitdgp
Comment 29 Gwyn Ciesla 2014-06-30 08:29:37 EDT
kumarpraveen.nitdgp is not in the packager group.
Comment 30 pjp 2014-07-01 04:38:25 EDT
(In reply to Jon Ciesla from comment #29)
> kumarpraveen.nitdgp is not in the packager group.

  Ah sorry, his FAS id is kumarpraveen.
Comment 31 pjp 2014-07-01 04:39:33 EDT
Package Change Request
======================
Package Name: lz4
New Branches: el5 el6 epel7
Owners: pjp kumarpraveen
Comment 32 Gwyn Ciesla 2014-07-01 07:58:52 EDT
Already done.
Comment 33 pjp 2014-07-02 13:51:43 EDT
(In reply to Jon Ciesla from comment #32)
> Already done.

There is no el7 branch -> http://pkgs.fedoraproject.org/cgit/lz4.git/
Comment 34 Gwyn Ciesla 2014-07-03 07:54:50 EDT
The branch is epel7.
Comment 35 pjp 2014-07-03 13:13:36 EDT
(In reply to Jon Ciesla from comment #34)
> The branch is epel7.

  Where is it? $ git checkout epel7 does not work.
Comment 36 Praveen Kumar 2014-07-03 23:50:34 EDT
(In reply to Jon Ciesla from comment #34)
> The branch is epel7.

[prkumar@dhcp201-104 lz4]$ git branch -a
* master
  remotes/origin/HEAD -> origin/master
  remotes/origin/el5
  remotes/origin/el6
  remotes/origin/f18
  remotes/origin/f19
  remotes/origin/f20
  remotes/origin/master

There is no remote branch assign for epel7 as pjp pointed out.
Comment 37 Gwyn Ciesla 2014-07-07 08:30:36 EDT
Ok, epel7 should exist now after a git pull.

Note You need to log in before you can comment on or make changes to this bug.